<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar"
	prefix="carbon"%>
<%@ page import="org.apache.axis2.context.ConfigurationContext"%>
<%@ page import="org.wso2.carbon.CarbonConstants"%>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage"%>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil"%>
<%@ page import="org.wso2.carbon.utils.ServerConstants"%>


<%@page import="java.lang.Exception"%>
<%@page import="org.wso2.carbon.claim.mgt.ui.client.ClaimAdminClient"%>
<%@page import="org.wso2.carbon.claim.mgt.ui.dto.ClaimMappingDTO"%>
<%@page import="org.wso2.carbon.claim.mgt.ui.types.ClaimMapping"%>

<%
    String serverURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    String forwardTo = null;
    ClaimMappingDTO[] claimMappping = null;
    String dialectUri = request.getParameter("dialect");
	String BUNDLE = "org.wso2.carbon.claim.mgt.ui.i18n.Resources";
	ResourceBundle resourceBundle = ResourceBundle.getBundle(BUNDLE, request.getLocale());
    
    try {
        ClaimAdminClient client = new ClaimAdminClient(cookie, serverURL, configContext);
        claimMappping = client.getAllClaimMappings();
        session.setAttribute("claimMappping",claimMappping);
    } catch (Exception e) {
    	String message = resourceBundle.getString("error.while.loading.claim.mappings");
    	CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.ERROR, request);
        forwardTo = "../admin/error.jsp";
%>

<%@page import="java.util.ResourceBundle"%><script type="text/javascript">
    function forward() {
        location.href = "<%=forwardTo%>";
    }
</script>

<script type="text/javascript">
    forward();
</script>
<%
    }
%>


<fmt:bundle basename="org.wso2.carbon.claim.mgt.ui.i18n.Resources">
	<carbon:breadcrumb label="claim.view"
		resourceBundle="org.wso2.carbon.claim.mgt.ui.i18n.Resources"
		topPage="false" request="<%=request%>" />

	<script type="text/javascript" src="../carbon/admin/js/breadcrumbs.js"></script>
	<script type="text/javascript" src="../carbon/admin/js/cookies.js"></script>
	<script type="text/javascript" src="../carbon/admin/js/main.js"></script>

	<div id="middle">
	<h2><fmt:message key='available.claims.for'/><%=dialectUri%></h2>
	<div id="workArea">
	
	<div style="height:30px;">
                <a href="javascript:document.location.href='add-claim.jsp?dialect=<%=dialectUri%>'" class="icon-link"
                   style="background-image:url(../admin/images/add.gif);"><fmt:message key='add.new.claim.mapping'/></a>
    </div>
	<%for (int i=0; i<claimMappping.length;i++ ){ 
        	 if (claimMappping[i].getDialectUri().equals(dialectUri)) {
        	 ClaimMapping[] claims =  claimMappping[i].getClaimMapping();        	
           %>

	<table style="width: 100%" class="styledLeft">
		<% for (int j=0; j<claims.length;j++ ) {             
              if (claims[j].getClaim().getDisplayTag()!=null) {%>
		<thead>
			<tr>
				<th colspan="2"><a href="update-claim.jsp?dialect=<%=dialectUri%>&claimUri=<%=claims[j].getClaim().getClaimUri()%>"><%=claims[j].getClaim().getDisplayTag()%></a></th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="leftCol-small"><fmt:message key='description'/></td>
				<td><%=claims[j].getClaim().getDescription()%></td>
			</tr>

			<tr>
				<td class="leftCol-small"><fmt:message key='claim.uri'/></td>
				<td><%=claims[j].getClaim().getClaimUri()%></td>
			</tr>

			<tr>
				<td class="leftCol-small"><fmt:message key='mapped.attribute'/></td>
				<td><%=claims[j].getMappedAttribute()%></td>
			</tr>

			<tr>
				<td class="leftCol-small"><fmt:message key='regular.expression'/></td>
				<td><%=claims[j].getClaim().getRegEx()%></td>
			</tr>
            <tr>
				<td class="leftCol-small"><fmt:message key='display.order'/></td>
				<td><%=claims[j].getClaim().getDisplayOrder()%></td>
			</tr>
			<tr>
				<td class="leftCol-small"><fmt:message key='supported.by.default'/></td>
				<%if (claims[j].getClaim().getSupportedByDefault()) { %>
				<td>true</td>
				<% } else { %>
				<td>false</td>
				<%} %>
			</tr>

			<tr>
				<td class="leftCol-small"><fmt:message key='required'/></td>
				<%if (claims[j].getClaim().getRequired()) { %>
				<td>true</td>
				<% } else { %>
				<td>false</td>
				<%} %>
			</tr>

		</tbody>
		<%}}%>
	</table>
	<%} }%>
	</div>
	</div>
</fmt:bundle>
